Proxy-seller

Resident package

Returns the current residential package state for the API key user.

GET
/personal/api/v2/{apiKey}/resident/package

Path Parameters

apiKey*string

Client API key.

Response Body

application/json

application/json

curl -X GET "https://proxy-seller.com/personal/api/v2/abc123/resident/package"

{
  "data": {
    "rotation": 60,
    "tarif_id": 2,
    "is_active": true,
    "auto_renew": false,
    "expired_at": "31.12.2025 23:59:59",
    "package_key": "abc123def456",
    "is_link_date": true,
    "traffic_left": "536870912",
    "traffic_limit": "1073741824",
    "traffic_usage": "536870912",
    "traffic_left_sub": "524288",
    "traffic_limit_sub": "1048576",
    "traffic_usage_sub": "524288"
  },
  "errors": [],
  "status": "success"
}

{
  "error": "Too many requests"
}
Proxy-seller